KGlobal Class Reference

`#include <kglobal.h>`

## Static Public Member Functions

static KInstance * | instance ()
static KStandardDirs * | dirs ()
static KConfig * | config ()
static KSharedConfig * | sharedConfig ()
static KIconLoader * | iconLoader ()
static KLocale * | locale ()
static KCharsets * | charsets ()
static const QString & | staticQString (const char *str)
static const QString & | staticQString (const QString &str)
static void | registerStaticDeleter (KStaticDeleterBase *d)
static void | unregisterStaticDeleter (KStaticDeleterBase *d)
static void | deleteStaticDeleters ()
static void | setActiveInstance (KInstance *d)
static KInstance * | activeInstance ()

## Static Public Attributes

static KStringDict * | _stringDict = 0
static KInstance * | _instance = 0
static KLocale * | _locale = 0
static KCharsets * | _charsets = 0
static KStaticDeleterList * | _staticDeleters = 0
static KInstance * | _activeInstance = 0

## Related Functions

(Note that these are not member functions.)
bool | checkAccess (const QString &pathname, int mode)
kdbgstream & | endl (kdbgstream &s)
kdbgstream & | flush (kdbgstream &s)
kdbgstream | kdDebug (int area=0)
QString | kdBacktrace ()
QString | kdBacktrace (int levels)
kdbgstream | kdWarning (int area=0)
kdbgstream | kdError (int area=0)
kdbgstream | kdFatal (int area=0)
void | kdClearDebugConfig ()
#define | KMIN(a, b) kMin(a,b)
#define | KMAX(a, b) kMax(a,b)
#define | KABS(a) kAbs(a)
#define | KCLAMP(x, low, high) kClamp(x,low,high)

## Detailed Description

Access to the KDE global objects.

KGlobal provides you with pointers of many central objects that exist only once in the process. It is also responsible for managing instances of KStaticDeleterBase.

See also
  KStaticDeleterBase

Author
  Sirtaj Singh Kang (taj@k.nosp@m.de.o.nosp@m.rg)

Definition at line 44 of file kglobal.h.

## Member Function Documentation

KCharsets * KGlobal::charsets | ( |  | ) |

static

The global charset manager.

Returns
  the global charset manager

Definition at line 104 of file kglobal.cpp.

KConfig * KGlobal::config | ( |  | ) |

static

Returns the general config object.

Returns
  the global configuration object.

Definition at line 61 of file kglobal.cpp.

void KGlobal::deleteStaticDeleters | ( |  | ) |

static

Calls KStaticDeleterBase::destructObject() on all registered static deleters and unregisters them all.

See also
  KStaticDeleterBase
  KStaticDeleter

Definition at line 185 of file kglobal.cpp.

KStandardDirs * KGlobal::dirs | ( |  | ) |

static

Returns the application standard dirs object.

Returns
  the global standard dir object

Definition at line 54 of file kglobal.cpp.

KIconLoader * KGlobal::iconLoader | ( |  | ) |

static

Returns an iconloader object.

Returns
  the global iconloader object

Definition at line 75 of file kglobal.cpp.

KInstance * KGlobal::instance | ( |  | ) |

static

Returns the global instance.

There is always at least one instance of a component in one application (in most cases the application itself).

Returns
  the global instance

Definition at line 82 of file kglobal.cpp.

KLocale * KGlobal::locale | ( |  | ) |

static

Returns the global locale object.

Returns
  the global locale object

Definition at line 88 of file kglobal.cpp.

void KGlobal::registerStaticDeleter | ( | KStaticDeleterBase * | d | ) |

static

Registers a static deleter.

Parameters

  d | the static deleter to register

See also
  KStaticDeleterBase
  KStaticDeleter

Definition at line 169 of file kglobal.cpp.

void KGlobal::setActiveInstance | ( | KInstance * | d | ) |

static

The instance currently active (useful in a multi-instance application, such as a KParts application).

Don't use this - it's mainly for KAboutDialog and KBugReport.

Definition at line 114 of file kglobal.cpp.

KSharedConfig * KGlobal::sharedConfig | ( |  | ) |

static

Returns the general config object.

Returns
  the global configuration object.

Definition at line 68 of file kglobal.cpp.

const QString & KGlobal::staticQString | ( | const char * | str | ) |

static

Creates a static QString.

Create a static QString.

To be used inside functions(!) like:

static const QString &myString = KGlobal::staticQString("myText");

!!! Do NOT use: !!!

static QString myString = KGlobal::staticQString("myText");

This creates a static object (instead of a static reference) and as you know static objects are EVIL.

Parameters

  str | the string to create

Returns
  the static string

To be used inside functions(!) like: static const QString &myString = KGlobal::staticQString("myText");

Definition at line 128 of file kglobal.cpp.

const QString & KGlobal::staticQString | ( | const QString & | str | ) |

static

Creates a static QString.

Create a static QString.

To be used inside functions(!) like:

static const QString &myString = KGlobal::staticQString(i18n("My Text"));

!!! Do NOT use: !!!

static QString myString = KGlobal::staticQString(i18n("myText"));

This creates a static object (instead of a static reference) and as you know static objects are EVIL.

Parameters

  str | the string to create

Returns
  the static string

To be used inside functions(!) like: static const QString &myString = KGlobal::staticQString(i18n("My Text"));

Definition at line 146 of file kglobal.cpp.

void KGlobal::unregisterStaticDeleter | ( | KStaticDeleterBase * | d | ) |

static

Unregisters a static deleter.

Parameters

  d | the static deleter to unregister

See also
  KStaticDeleterBase
  KStaticDeleter

Definition at line 178 of file kglobal.cpp.

## Friends And Related Function Documentation

bool checkAccess | ( | const QString & | pathname,
|  | int | mode
| ) |  |

related

Check, if a file may be accessed in a given mode. This is a wrapper around the access() system call. checkAccess() calls access() with the given parameters. If this is OK, checkAccess() returns true. If not, and W_OK is part of mode, it is checked if there is write access to the directory. If yes, checkAccess() returns true. In all other cases checkAccess() returns false.

Other than access() this function EXPLICITLY ignores non-existant files if checking for write access.

Parameters

  pathname | The full path of the file you want to test
  mode | The access mode, as in the access() system call.

Returns
  Whether the access is allowed, true = Access allowed

Definition at line 2854 of file kapplication.cpp.

#define KABS | ( |  | a | ) | kAbs(a)

related

A typesafe function to determine the absolute value of the argument.

Definition at line 187 of file kglobal.h.

#define KCLAMP | ( |  | x,
|  |  | low,
|  |  | high
| ) |  | kClamp(x,low,high)

related

A typesafe function that returns x if it's between low and high values. low if x is smaller than then low and high if x is bigger than high.

Definition at line 193 of file kglobal.h.

#define KMAX | ( |  | a,
|  |  | b
| ) |  | kMax(a,b)

related

A typesafe function to find the maximum of the two arguments.

Definition at line 182 of file kglobal.h.

#define KMIN | ( |  | a,
|  |  | b
| ) |  | kMin(a,b)

related

A typesafe function to find the minimum of the two arguments.

Definition at line 177 of file kglobal.h.

The documentation for this class was generated from the following files:

- kglobal.h
- kapplication.h
- kdebug.h
- kglobal.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys